package com.uvigo.mhp.ui;

import java.beans.*;

public class HScrollPaneBeanInfo extends SimpleBeanInfo
{
    public BeanDescriptor getBeanDescriptor()
    {
        BeanDescriptor bd=new BeanDescriptor(HScrollPane.class);
        return(bd);
    }
    
    public PropertyDescriptor[] getPropertyDescriptors()
    {
        try
        {
            PropertyDescriptor pd1 = new PropertyDescriptor("horizontalScrollControl", HScrollPane.class);
            PropertyDescriptor pd2 = new PropertyDescriptor("verticalScrollControl", HScrollPane.class);
            PropertyDescriptor pd3 = new PropertyDescriptor("name", HScrollPane.class);
            PropertyDescriptor pd4 = new PropertyDescriptor("background", HScrollPane.class);
            PropertyDescriptor pd5 = new PropertyDescriptor("foreground", HScrollPane.class);
            PropertyDescriptor pd6 = new PropertyDescriptor("opaque", HScrollPane.class);
            PropertyDescriptor pd7 = new PropertyDescriptor("doubleBuffered", HScrollPane.class);
            pd1.setBound(true);
            pd2.setBound(true);
            pd3.setBound(true);
            pd4.setBound(true);
            pd5.setBound(true);
            pd6.setBound(true);
            pd7.setBound(true);
            return new PropertyDescriptor[]
            {pd1, pd2, pd3, pd4, pd5, pd6, pd7};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public java.awt.Image getIcon(int iconKind)
    {
        return null;
        // 	if (iconKind == ICON_COLOR_16x16 || iconKind == ICON_MONO_16x16)
        // 	    return loadImage("flexlabel16x16.gif");
        // 	else
        // 	    return loadImage("flexlabel32x32.gif");
    }
}
